Skip to navigation

Get URL for template edit view

View as Markdown

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

templateIdstringRequired
The ID of the template being accessed.

Request

This endpoint expects an object: returnUrlRequest

returnUrlstringOptional

Your app’s return url that the user will be redirected to after sending the envelope or completing the sending/tagging view. Query parameters envelopeId and event will be added to the URL. The event parameter values:

  • Send (the user sent the envelope)
  • Save (the user saved the envelope, it is still a draft)
  • Cancel (the user canceled the sending transaction)
  • Error (there was an error during the send operation)
  • SessionEnd (the sending session ended before the user completed a different action)

Response

Successful response.
urlstringOptional

The endpoint to which webhook notification messages are sent via an HTTP/S POST request. For the DocuSign production platform, the url must start with https. For the demo platform, either http or https is ok.

Errors

400
Bad Request Error